Bug 14689 - documentation for dsdb_group_audit and dsdb_group_json_audit missing from "log level"
Summary: documentation for dsdb_group_audit and dsdb_group_json_audit missing from "lo...
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 4.14.2
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba Documentation QA Contact~
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-15 01:59 UTC by Andrew Bartlett
Modified: 2021-05-03 09:17 UTC (History)
1 user (show)

See Also:


Attachments
patch backported to 4.13 and 4.14 (21.55 KB, patch)
2021-04-22 03:35 UTC, Andrew Bartlett
dbagnall: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2021-04-15 01:59:38 UTC
The dsdb_group_audit and dsdb_group_json_audit parameters were missing from the docs.

This leads folks to things like "dsdb group change notification" and the related options "auth event notification", "dsdb event notification" and "dsdb password event notification".
Comment 1 Samba QA Contact 2021-04-21 10:05:04 UTC
This bug was referenced in samba master:

0d30d74e89829cc7b4faa6ba835e3d90c1c410aa
2e533664e756ccde8fc1b3e41e70437c9e7bafcd
a778a3a6420f094a953563b87f84457fdebd20a3
364b8be9816b34b2a1b07c6259345c406d68c9f2
d03e7ffcff32452bb92f2ced9f06cbeab9843e04
38fe888f95f8d22736080ed521939be932e7bca0
Comment 2 Andrew Bartlett 2021-04-22 03:35:55 UTC
Created attachment 16594 [details]
patch backported to 4.13 and 4.14

Patches for the manpage backported to 4.13 and 4.14.
Comment 3 Karolin Seeger 2021-05-03 07:13:07 UTC
(In reply to Andrew Bartlett from comment #2)
Pushed to autobuild-v4-{14,13}-test.
Comment 4 Samba QA Contact 2021-05-03 08:17:11 UTC
This bug was referenced in samba v4-14-test:

60527b07cbd7fdec13fdb8ca812abd629ce76114
990997cae28dc427eeb4d5235ba6b093a4015de0
54ef0e6d6bb99303562c67c23de50067b8a5a6b2
ecfca707d5ff2d0cc88e6350f8023d7a1a7dce67
cc4e8ec610b4db3743ba9823b1abdd7abd15091f
7db0a50a8f8911d89af40bba8a6d3db9a70c827d
Comment 5 Samba QA Contact 2021-05-03 09:07:11 UTC
This bug was referenced in samba v4-13-test:

bd6f38ed8b7d50f93e6d629280b11d090920f133
56e4cb8f3d008382850fa51c45c31a31193ae05e
78562c46beddf870aeb696a81f1efdac6a281de2
ef386397d34cedd0a7068dd2e8ff4e4d40a68e5a
83c39f1e4ee15ba4660a102b487eb4a44d6084dd
8feeac11f7e4453bc3c5f826ba2694ea9937b430
Comment 6 Karolin Seeger 2021-05-03 09:17:41 UTC
Pushed to both branches.
Closing out bug report.

Thanks!